=== debian/changelog ===
kubeshark (52.8.0-1kaisen) kaisen-packages; urgency=medium

  * Import the 52.8.0 version
  * Update the quilt patch
  * Bump the golang-go version required to build

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sat, 09 Aug 2025 19:38:06 +0200

kubeshark (52.3.95-1kaisen) kaisen-packages; urgency=medium

  * Import the 52.3.95 version
  * Update the quilt patch

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Wed, 15 Jan 2025 16:48:13 +0200

kubeshark (52.3.90-1kaisen) kaisen-packages; urgency=medium

  * Import the 52.3.90 version
  * Update the quilt patch
  * Bump the golang-go version required to build

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Wed, 20 Nov 2024 12:39:03 +0200

kubeshark (52.3.76-1kaisen) kaisen-packages; urgency=medium

  * Import the 52.3.76 version
  * Update the quilt patch

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sat, 17 Aug 2024 19:11:16 +0200

kubeshark (52.3.0-1kaisen) kaisen-packages; urgency=medium

  * Import the 52.3.0 version
  * Update the quilt patch
  * Bump the golang-go version required

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Tue, 07 May 2024 21:58:28 +0100

kubeshark (51.0.14-1kaisen) kaisen-packages; urgency=medium

  * Import the 51.0.14 version
  * Update the quilt patch

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Mon, 30 Oct 2023 16:43:17 +0100

kubeshark (50.4-1kaisen) kaisen-packages; urgency=medium

  * Import the 50.4 version
  * Update the quilt patch

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Mon, 07 Aug 2023 20:04:43 +0100

kubeshark (41.6-1kaisen) kaisen-packages; urgency=medium

  * Import the 41.6 version
  * Update the quilt patch
  * Remove golang-go as package dependancy

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Mon, 07 Aug 2023 20:04:43 +0100

kubeshark (41.3-1kaisen) kaisen-packages; urgency=medium

  * Import the 41.3 version
  * Update the quilt patch

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 23 Jul 2023 01:23:13 +0100

kubeshark (40.3-1kaisen) kaisen-packages; urgency=medium

  * Import the 40.3 version
  * Update the quilt patch

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Wed, 24 May 2023 11:50:02 +0100

kubeshark (40.1-1kaisen) kaisen-packages; urgency=medium

  * Import the 40.1 version
  * Update the quilt patch

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Tue, 09 May 2023 01:03:38 +0100

kubeshark (38.1-1kaisen) kaisen-packages; urgency=medium

  * Initial release

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Wed, 04 Jan 2023 01:45:15 +0100
