=== debian/control ===
Source: kubeshark
Section: admin
Priority: optional
Maintainer: Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13), dh-golang, golang-go (>= 1.24.0)
Standards-Version: 4.7.2
Homepage: https://kubeshark.co/
Vcs-Browser: https://gitlab.com/kaisenlinux/packages/kubeshark
Vcs-Git: https://gitlab.com/kaisenlinux/packages/kubeshark.git

Package: kubeshark
Architecture: amd64 arm64
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: Wireshark for Kubernetes
 The API traffic viewer for Kubernetes providing deep visibility into all API traffic and payloads going in,
 out and across containers and pods inside a Kubernetes cluster. Think TCPDump and
 Wireshark re-invented for Kubernetes
