=== debian/rules ===
#!/usr/bin/make -f

export GOPATH=$(CURDIR)/_build

%:
	dh $@ --buildsystem=golang --builddirectory=_build

override_dh_auto_clean:
	rm -rf $(CURDIR)/_build
	rm -rf $(CURDIR)/bin

override_dh_auto_build:
	make build

override_dh_auto_test:
	go test

override_dh_auto_install:
	install -p -m 0755 $(CURDIR)/bin/kubeshark__ $(CURDIR)/debian/kubeshark/usr/bin/kubeshark
	install -p -m 0644 $(CURDIR)/debian/kubeshark.png $(CURDIR)/debian/kubeshark/usr/share/pixmaps/
	$(CURDIR)/debian/kubeshark/usr/bin/kubeshark completion bash > $(CURDIR)/debian/kubeshark/usr/share/bash-completion/completions/kubeshark
	$(CURDIR)/debian/kubeshark/usr/bin/kubeshark completion zsh > $(CURDIR)/debian/kubeshark/usr/share/zsh/vendor-completions/_kubeshark
